NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Weld.GrooveBuilder Class Reference

Represents a Groove Weld feature More...

Inheritance diagram for NXOpen.Weld.GrooveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Expression GetContourHeight ()
 Gets the contour height needed to describe groove weld shape More...
 
unsafe NXOpen.Face[] GetFirstFacesetEndAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
unsafe NXOpen.Face[] GetFirstFacesetStartAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
unsafe NXOpen.Expression GetGrooveAngle ()
 Gets the groove angle needed to describe groove weld More...
 
unsafe NXOpen.Expression GetGrooveRadius ()
 Gets the groove radius needed to describe groove weld More...
 
unsafe NXOpen.Expression GetPenetrationDepth ()
 Gets the penetration depth needed to describe groove weld More...
 
unsafe NXOpen.Expression GetRootOpening ()
 Gets the root opening height needed to describe groove weld More...
 
unsafe NXOpen.Expression GetRootPenetration ()
 Gets the root penetration needed to describe groove weld More...
 
unsafe NXOpen.Face[] GetSecondFacesetEndAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
unsafe NXOpen.Face[] GetSecondFacesetStartAdjacentFaces ()
 Gets the adjacent faces of the target solid. More...
 
unsafe NXOpen.Expression GetSecondPenetrationDepth ()
 Gets the second penetration depth needed to describe groove weld. More...
 
unsafe void SetContourHeight (string contourHeight)
 Sets the contour height needed to describe groove weld More...
 
unsafe void SetDistanceFromEnd (string endDistance)
 Sets the distance from the end of the faces to build the groove weld More...
 
unsafe void SetDistanceFromStart (string startDistance)
 Set the distance from the start of the faces to build the groove weld More...
 
unsafe void SetFirstFacesetEndAdjacentFaces (NXOpen.Face[] objects)
 Sets the adjacent faces of the target solid. More...
 
unsafe void SetFirstFacesetStartAdjacentFaces (NXOpen.Face[] objects)
 Sets the adjacent faces of the target solid. More...
 
unsafe void SetGrooveAngle (string grooveAngle)
 Sets the groove angle needed to describe groove weld More...
 
unsafe void SetGrooveRadius (string grooveAngle)
 Sets the groove radius needed to describe groove weld More...
 
unsafe void SetNumberOfSegments (string numSegments)
 Sets the desired number of segments for the groove weld. More...
 
unsafe void SetPenetrationDepth (string penetrationDepth)
 Sets the penetration depth needed to describe groove weld More...
 
unsafe void SetRootOpening (string rootOpening)
 Sets the root opening height needed to describe groove weld More...
 
unsafe void SetRootPenetration (string rootPenetration)
 Sets the root penetration needed to describe groove weld More...
 
unsafe void SetSecondFacesetEndAdjacentFaces (NXOpen.Face[] objects)
 Sets the adjacent faces of the target solid. More...
 
unsafe void SetSecondFacesetStartAdjacentFaces (NXOpen.Face[] objects)
 Sets the adjacent faces of the target solid. More...
 
unsafe void SetSecondPenetrationDepth (string secondPenetrationDepth)
 Sets the penetration depth needed to describe groove weld More...
 
unsafe void SetSegmentLength (string segmentLength)
 Sets the desired segment lengh for the skip weld. More...
 
unsafe void SetSpacingDistance (string spacingDistance)
 Sets the desired spacing between skip welds. More...
 
unsafe void SetTaperAtEnd (string endTaper)
 Sets the taper angle at the end. More...
 
unsafe void SetTaperAtStart (string startTaper)
 Sets the taper angle at the start. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Weld.WeldGrooveExtension 
BottomExtension [get, set]
 Returns or sets the extension method for the bottom edges More...
 
unsafe NXOpen.Weld.WeldContourShape ContourShape [get, set]
 Returns or sets the contour contour shape. More...
 
unsafe NXOpen.Expression DistanceFromEnd [get]
 Returns the distance from the end of the faces to build the groove weld More...
 
unsafe NXOpen.Expression DistanceFromStart [get]
 Returns the distance from the start of the faces to build the groove weld More...
 
unsafe NXOpen.ScCollector FirstFaceset [get, set]
 Returns or sets the first set of faces More...
 
unsafe NXOpen.Section FirstFacesetBottomEdges [get, set]
 Returns or sets the first set bottom edges to extend More...
 
unsafe NXOpen.Point3d FirstFacesetHelpPoint [get, set]
 Returns or sets the first set help point. More...
 
unsafe NXOpen.Section FirstFacesetTopEdges [get, set]
 Returns or sets the first set top edges to extend More...
 
unsafe NXOpen.Weld.WeldGrooveShape GrooveShape [get, set]
 Returns or sets the shape of the groove weld to create More...
 
unsafe NXOpen.Weld.WeldGrooveType GrooveType [get, set]
 Returns or sets the groove creation type More...
 
unsafe bool IsFieldWeld [get, set]
 Returns or sets the field weld status. More...
 
unsafe bool IsFirstFacesetNormalReversed [get, set]
 Returns or sets the side of the faceset to build the groove feature. More...
 
unsafe bool IsNumberOfSegments [get, set]
 Returns or sets the is number of segments option. More...
 
unsafe bool IsSecondFacesetNormalReversed [get, set]
 Returns or sets the side of the faceset to build the groove feature. More...
 
unsafe bool IsSegmentLength [get, set]
 Returns or sets the is segment length option. More...
 
unsafe bool IsSpacing [get, set]
 Returns or sets the is spacing option. More...
 
unsafe NXOpen.Weld.WeldArcMethod Method [get, set]
 Returns or sets the method More...
 
unsafe NXOpen.Expression NumberOfSegments [get]
 Returns the number of weld welds for a skip weld. More...
 
unsafe int NumberRequiredFaceSets [get, set]
 Returns or sets the number of connected parts. More...
 
unsafe
NXOpen.Weld.WeldFeatureOutput 
OutputGeometryType [get, set]
 Returns or sets the output geometry type More...
 
unsafe NXOpen.Weld.OutputType OutputType [get, set]
 Returns or sets the output type. More...
 
unsafe NXOpen.Weld.WeldPrepareEdges PrepareEdges [get, set]
 Returns or sets the apply edge preportion indicator. More...
 
unsafe NXOpen.Weld.WeldRootUpdate RootUpdate [get, set]
 Returns or sets the process type More...
 
unsafe NXOpen.ScCollector SecondFaceset [get, set]
 Returns or sets the second set of faces More...
 
unsafe NXOpen.Section SecondFacesetBottomEdges [get, set]
 Returns or sets the second set bottom edges to extend More...
 
unsafe NXOpen.Point3d SecondFacesetHelpPoint [get, set]
 Returns or sets the second set help point. More...
 
unsafe NXOpen.Section SecondFacesetTopEdges [get, set]
 Returns or sets the second set top edges to extend More...
 
unsafe NXOpen.Expression SegmentLength [get]
 Returns the segment length for a skip weld. More...
 
unsafe int SequenceNumber [get, set]
 Returns or sets the sequence number for the groove feature. More...
 
unsafe NXOpen.Expression SpacingDistance [get]
 Returns the desired spacing between skip welds. More...
 
unsafe NXOpen.Expression TaperAtEnd [get]
 Returns the taper angle at the end. More...
 
unsafe NXOpen.Expression TaperAtStart [get]
 Returns the taper angle at the start. More...
 
unsafe NXOpen.Weld.WeldTaperMethod TaperMethod [get, set]
 Returns or sets the taper method to use if tapering is specified. More...
 
unsafe
NXOpen.Weld.WeldGrooveExtension 
TopExtension [get, set]
 Returns or sets the the extension method for the top edges More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Groove Weld feature

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldGrooveBuilder

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetContourHeight ( )
inline

Gets the contour height needed to describe groove weld shape

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.ContourHeight instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Face [] NXOpen.Weld.GrooveBuilder.GetFirstFacesetEndAdjacentFaces ( )
inline

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: None.

Returns
the adjacent face reference objects
unsafe NXOpen.Face [] NXOpen.Weld.GrooveBuilder.GetFirstFacesetStartAdjacentFaces ( )
inline

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: None.

Returns
the adjacent face reference objects
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetGrooveAngle ( )
inline

Gets the groove angle needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.GrooveAngle instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetGrooveRadius ( )
inline

Gets the groove radius needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.GrooveRadius instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetPenetrationDepth ( )
inline

Gets the penetration depth needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.PenetrationDepth instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetRootOpening ( )
inline

Gets the root opening height needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.RootOpening instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetRootPenetration ( )
inline

Gets the root penetration needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.RootPenetration instead.

License requirements: None.

Returns
expression
unsafe NXOpen.Face [] NXOpen.Weld.GrooveBuilder.GetSecondFacesetEndAdjacentFaces ( )
inline

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: None.

Returns
the adjacent face reference objects
unsafe NXOpen.Face [] NXOpen.Weld.GrooveBuilder.GetSecondFacesetStartAdjacentFaces ( )
inline

Gets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: None.

Returns
the adjacent face reference objects
unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.GetSecondPenetrationDepth ( )
inline

Gets the second penetration depth needed to describe groove weld.

This is only needed if face heights are different.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SecondPenetrationDepth instead.

License requirements: None.

Returns
expression
unsafe void NXOpen.Weld.GrooveBuilder.SetContourHeight ( string  contourHeight)
inline

Sets the contour height needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.ContourHeight instead.

License requirements: ugweld ("UG WELD")

Parameters
contourHeight
unsafe void NXOpen.Weld.GrooveBuilder.SetDistanceFromEnd ( string  endDistance)
inline

Sets the distance from the end of the faces to build the groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EndDistance instead.

License requirements: ugweld ("UG WELD")

Parameters
endDistance
unsafe void NXOpen.Weld.GrooveBuilder.SetDistanceFromStart ( string  startDistance)
inline

Set the distance from the start of the faces to build the groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.StartDistance instead.

License requirements: ugweld ("UG WELD")

Parameters
startDistance
unsafe void NXOpen.Weld.GrooveBuilder.SetFirstFacesetEndAdjacentFaces ( NXOpen.Face[]  objects)
inline

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: ugweld ("UG WELD")

Parameters
objects
unsafe void NXOpen.Weld.GrooveBuilder.SetFirstFacesetStartAdjacentFaces ( NXOpen.Face[]  objects)
inline

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: ugweld ("UG WELD")

Parameters
objects
unsafe void NXOpen.Weld.GrooveBuilder.SetGrooveAngle ( string  grooveAngle)
inline

Sets the groove angle needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.GrooveAngle instead.

License requirements: ugweld ("UG WELD")

Parameters
grooveAngle
unsafe void NXOpen.Weld.GrooveBuilder.SetGrooveRadius ( string  grooveAngle)
inline

Sets the groove radius needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.GrooveRadius instead.

License requirements: ugweld ("UG WELD")

Parameters
grooveAngle
unsafe void NXOpen.Weld.GrooveBuilder.SetNumberOfSegments ( string  numSegments)
inline

Sets the desired number of segments for the groove weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.NumberOfWelds instead.

License requirements: ugweld ("UG WELD")

Parameters
numSegments
unsafe void NXOpen.Weld.GrooveBuilder.SetPenetrationDepth ( string  penetrationDepth)
inline

Sets the penetration depth needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.PenetrationDepth instead.

License requirements: ugweld ("UG WELD")

Parameters
penetrationDepth
unsafe void NXOpen.Weld.GrooveBuilder.SetRootOpening ( string  rootOpening)
inline

Sets the root opening height needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.RootOpening instead.

License requirements: ugweld ("UG WELD")

Parameters
rootOpening
unsafe void NXOpen.Weld.GrooveBuilder.SetRootPenetration ( string  rootPenetration)
inline

Sets the root penetration needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.RootPenetration instead.

License requirements: ugweld ("UG WELD")

Parameters
rootPenetration
unsafe void NXOpen.Weld.GrooveBuilder.SetSecondFacesetEndAdjacentFaces ( NXOpen.Face[]  objects)
inline

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: ugweld ("UG WELD")

Parameters
objects
unsafe void NXOpen.Weld.GrooveBuilder.SetSecondFacesetStartAdjacentFaces ( NXOpen.Face[]  objects)
inline

Sets the adjacent faces of the target solid.

These faces are used to trim the groove weld solid with.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements: ugweld ("UG WELD")

Parameters
objects
unsafe void NXOpen.Weld.GrooveBuilder.SetSecondPenetrationDepth ( string  secondPenetrationDepth)
inline

Sets the penetration depth needed to describe groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SecondPenetrationDepth instead.

License requirements: ugweld ("UG WELD")

Parameters
secondPenetrationDepth
unsafe void NXOpen.Weld.GrooveBuilder.SetSegmentLength ( string  segmentLength)
inline

Sets the desired segment lengh for the skip weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SegmentLength instead.

License requirements: ugweld ("UG WELD")

Parameters
segmentLength
unsafe void NXOpen.Weld.GrooveBuilder.SetSpacingDistance ( string  spacingDistance)
inline

Sets the desired spacing between skip welds.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Spacing instead.

License requirements: ugweld ("UG WELD")

Parameters
spacingDistance
unsafe void NXOpen.Weld.GrooveBuilder.SetTaperAtEnd ( string  endTaper)
inline

Sets the taper angle at the end.

A positive number will taper towards the inside of the weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EndAngle instead.

License requirements: ugweld ("UG WELD")

Parameters
endTaper
unsafe void NXOpen.Weld.GrooveBuilder.SetTaperAtStart ( string  startTaper)
inline

Sets the taper angle at the start.

A positive number will taper towards the inside of the weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.StartAngle instead.

License requirements: ugweld ("UG WELD")

Parameters
startTaper

Property Documentation

unsafe NXOpen.Weld.WeldGrooveExtension NXOpen.Weld.GrooveBuilder.BottomExtension
getset

Returns or sets the extension method for the bottom edges

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldContourShape NXOpen.Weld.GrooveBuilder.ContourShape
getset

Returns or sets the contour contour shape.

This is the shape on the top of the groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.ContourType instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.DistanceFromEnd
get

Returns the distance from the end of the faces to build the groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EndDistance instead.

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.DistanceFromStart
get

Returns the distance from the start of the faces to build the groove weld

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.StartDistance instead.

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.GrooveBuilder.FirstFaceset
getset

Returns or sets the first set of faces

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.FaceSet1 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.GrooveBuilder.FirstFacesetBottomEdges
getset

Returns or sets the first set bottom edges to extend

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EdgeSet1 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.GrooveBuilder.FirstFacesetHelpPoint
getset

Returns or sets the first set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SeedPoint1 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.GrooveBuilder.FirstFacesetTopEdges
getset

Returns or sets the first set top edges to extend

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EdgeSet1 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveShape NXOpen.Weld.GrooveBuilder.GrooveShape
getset

Returns or sets the shape of the groove weld to create

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Types instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveType NXOpen.Weld.GrooveBuilder.GrooveType
getset

Returns or sets the groove creation type

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EdgeType instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsFieldWeld
getset

Returns or sets the field weld status.

If true then this is a field weld, if false it is not.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Characteristics instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsFirstFacesetNormalReversed
getset

Returns or sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsNumberOfSegments
getset

Returns or sets the is number of segments option.

This is used when creating skip welds to compute the spacing between them.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Method instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsSecondFacesetNormalReversed
getset

Returns or sets the side of the faceset to build the groove feature.

The feature will be built opposite the face closest to the help point

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsSegmentLength
getset

Returns or sets the is segment length option.

This is used when creating skip welds to compute the spacing between them.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Method instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.GrooveBuilder.IsSpacing
getset

Returns or sets the is spacing option.

This is used when creating skip welds to compute the spacing between them.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Method instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldArcMethod NXOpen.Weld.GrooveBuilder.Method
getset

Returns or sets the method

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.CreateSkipWelds instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.NumberOfSegments
get

Returns the number of weld welds for a skip weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.NumberOfWelds instead.

License requirements: None.

unsafe int NXOpen.Weld.GrooveBuilder.NumberRequiredFaceSets
getset

Returns or sets the number of connected parts.

Either one for two.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SingleFaceSet instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldFeatureOutput NXOpen.Weld.GrooveBuilder.OutputGeometryType
getset

Returns or sets the output geometry type

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.OutputType NXOpen.Weld.GrooveBuilder.OutputType
getset

Returns or sets the output type.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldPrepareEdges NXOpen.Weld.GrooveBuilder.PrepareEdges
getset

Returns or sets the apply edge preportion indicator.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.PrepareEdges instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldRootUpdate NXOpen.Weld.GrooveBuilder.RootUpdate
getset

Returns or sets the process type

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.GrooveBuilder.SecondFaceset
getset

Returns or sets the second set of faces

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.FaceSet2 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.GrooveBuilder.SecondFacesetBottomEdges
getset

Returns or sets the second set bottom edges to extend

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EdgeSet2 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.GrooveBuilder.SecondFacesetHelpPoint
getset

Returns or sets the second set help point.

If multiple solutions exist, the desired solution used will be the one closest to this point

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SeedPoint2 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.GrooveBuilder.SecondFacesetTopEdges
getset

Returns or sets the second set top edges to extend

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EdgeSet2 instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.SegmentLength
get

Returns the segment length for a skip weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.SegmentLength instead.

License requirements: None.

unsafe int NXOpen.Weld.GrooveBuilder.SequenceNumber
getset

Returns or sets the sequence number for the groove feature.

Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.SpacingDistance
get

Returns the desired spacing between skip welds.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.Spacing instead.

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.TaperAtEnd
get

Returns the taper angle at the end.

A positive number will taper towards the inside of the weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.EndAngle instead.

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.GrooveBuilder.TaperAtStart
get

Returns the taper angle at the start.

A positive number will taper towards the inside of the weld.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.StartAngle instead.

License requirements: None.

unsafe NXOpen.Weld.WeldTaperMethod NXOpen.Weld.GrooveBuilder.TaperMethod
getset

Returns or sets the taper method to use if tapering is specified.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.Weld.WeldGrooveBuilder.TaperMethod instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveExtension NXOpen.Weld.GrooveBuilder.TopExtension
getset

Returns or sets the the extension method for the top edges

Created in NX5.0.0

Deprecated in NX9.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.